#
# spec file for package supportutils (Version 1.01.02)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (C) 2008,2009 Novell, Inc.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           supportutils
Url:            http://en.opensuse.org/Supportutils
License:        GPL v2 only
Group:          System/Management
AutoReqProv:    on
Version:        1.01.02
Release:        209.1
Source:         %{name}-%{version}.tar.bz2
Summary:        Support Troubleshooting Tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:	tar bzip2

%description
A package containing troubleshooting tools. This package contains the
following: supportconfig, chkbin, schealth



%prep
%setup -q

%build
gzip -9f supportconfig.8
gzip -9f chkbin.8
gzip -9f supportconfig.conf.5

%post
OSCF="/etc/sysconfig/supportconfig"
if [ -e ${OSCF} ]; then
	rm -f ${OSCF} &>/dev/null
	rm -f ${OSCF}.rpmsave &>/dev/null
fi

%install
pwd;ls -la
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/sbin
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/etc
install -d $RPM_BUILD_ROOT/usr/share/man/man8
install -d $RPM_BUILD_ROOT/usr/share/man/man5
install -m 500 supportconfig $RPM_BUILD_ROOT/sbin
install -m 644 supportconfig.conf $RPM_BUILD_ROOT/etc
install -m 644 supportconfig.8.gz $RPM_BUILD_ROOT/usr/share/man/man8/supportconfig.8.gz
install -m 644 supportconfig.conf.5.gz $RPM_BUILD_ROOT/usr/share/man/man5/supportconfig.conf.5.gz
install -m 500 chkbin $RPM_BUILD_ROOT/sbin
install -m 644 chkbin.8.gz $RPM_BUILD_ROOT/usr/share/man/man8/chkbin.8.gz
install -m 755 schealth $RPM_BUILD_ROOT/usr/bin
install -m 644 schealth.conf $RPM_BUILD_ROOT/etc

%files
%defattr(-,root,root)
/sbin/supportconfig
/sbin/chkbin
/usr/bin/schealth
/usr/share/man/man8/supportconfig.8.gz
/usr/share/man/man5/supportconfig.conf.5.gz
/usr/share/man/man8/chkbin.8.gz
%config
/etc/supportconfig.conf
/etc/schealth.conf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 12 2014 cs@linux-administrator.com
- change config to upload using http
